#!/bin/sh
# 
# Licensed Materials - Property of IBM
#
# <AFBA_PID>
#
# (C) Copyright IBM Corp. <AFBA_YEAR> All rights reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# 
source ~/.baprofile
source $IOC_BASE_DIR/variables.properties

log.info "Start to Install Impact Content."

cd $IOC_BASE_DIR
export SED_SCRIPT_NAME=com.ibm.ife.sed.script.txt
sed -e '/^#/d' $IOC_BASE_DIR/variables.properties | awk -F = '{print "s#~{" $1 "}#" substr($0,index($0,"=")+1) "#g"}' > $IOC_BASE_DIR/$SED_SCRIPT_NAME

cp -rf $IOC_BASE_DIR/content/scripts/*.*  /opt/IBM/AFBA/mgmt/scripts