#!/bin/sh
# 
# Licensed Materials - Property of IBM
#
# <AFBA_PID>
#
# (C) Copyright IBM Corp. <AFBA_YEAR> All rights reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# 
source ~/.baprofile
source $IOC_BASE_DIR/variables.properties

log.info "Start to Install Impact Content."

cd $IOC_BASE_DIR
export SED_SCRIPT_NAME=com.ibm.ife.sed.script.txt
sed -e '/^#/d' $IOC_BASE_DIR/variables.properties | awk -F = '{print "s#~{" $1 "}#" substr($0,index($0,"=")+1) "#g"}' > $IOC_BASE_DIR/$SED_SCRIPT_NAME

cd /opt/IBM/HTTPServer/conf
line=`grep -n '</VirtualHost>'  httpd.conf | tail -1 | cut -d : -f1`
line_number=`expr $line - 1`

sed -i "$line_number a\#Code to redirect from /p2pd to ana for image\nRewriteCond %{REQUEST_URI} ^/p2pd\nRewriteRule ^(.*) http://~{ANA_HOSTNAME}:9300\$1 [P]\n" httpd.conf

sed -i s#~{ANA_HOSTNAME}#$ANA_HOSTNAME#g httpd.conf

/opt/IBM/HTTPServer/bin/apachectl restart


