#!/bin/sh
# 
# Licensed Materials - Property of IBM
#
# <AFBA_PID>
#
# (C) Copyright IBM Corp. <AFBA_YEAR> All rights reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# 
source ~/.baprofile
source $IOC_BASE_DIR/variables.properties
log.info "Start to Install Impact Content."

cd $IOC_BASE_DIR
export SED_SCRIPT_NAME=com.ibm.ife.sed.script.txt
sed -e '/^#/d' $IOC_BASE_DIR/variables.properties | awk -F = '{print "s#~{" $1 "}#" substr($0,index($0,"=")+1) "#g"}' > $IOC_BASE_DIR/$SED_SCRIPT_NAME

/opt/IBM/energy/grid_engine/ife_aoms_core/scripts/grid_engine.sh stop >> /dev/null

mv /opt/IBM/energy/grid_engine /opt/IBM/energy/grid_engine.bk
mkdir /opt/IBM/energy/grid_engine
tar zxvf $IOC_BASE_DIR/content/*.gz -C /opt/IBM/energy/grid_engine
cp /opt/IBM/energy/grid_engine.bk/ife_aoms_core/scripts/grid_engine.cfg /opt/IBM/energy/grid_engine/ife_aoms_core/scripts

dos2unix /opt/IBM/energy/grid_engine/ife_aoms_core/scripts/grid_engine.cfg
dos2unix /opt/IBM/energy/grid_engine/ife_aoms_core/scripts/*.sh
chmod +x /opt/IBM/energy/grid_engine/ife_aoms_core/scripts/*.sh
dos2unix /opt/IBM/energy/grid_engine/ife_aoms_core/scripts/utils/*.sh 
chmod +x /opt/IBM/energy/grid_engine/ife_aoms_core/scripts/utils/*.sh

rm -rf /opt/IBM/energy/grid_engine.bk

