@echo off
if not "%1"=="-y"  goto :USAGE
if "%2"=="" goto :USAGE
if "%3"=="" goto :USAGE
if "%4"=="" goto :USAGE

db2 connect to %2 user %3 using %4

db2 load from AHA.DRIVER.csv of del REPLACE INTO AHA.DRIVER
db2 set integrity for AHA.DRIVER immediate checked

db2 load from AHA.FACTOR.csv of del REPLACE INTO AHA.FACTOR
db2 set integrity for AHA.FACTOR immediate checked

db2 load from AHA.TREATMENT.csv of del REPLACE INTO AHA.TREATMENT
db2 set integrity for AHA.TREATMENT immediate checked

db2 load from AHA.ANALYSIS_YEAR.csv of del REPLACE INTO AHA.ANALYSIS_YEAR
db2 set integrity for AHA.ANALYSIS_YEAR immediate checked

db2 load from AHA.PACKAGE.csv of del REPLACE INTO AHA.PACKAGE
db2 set integrity for AHA.PACKAGE immediate checked

db2 load from AHA.ANALYSIS.csv of del REPLACE INTO AHA.ANALYSIS
db2 set integrity for AHA.ANALYSIS immediate checked

db2 load from AHA.PACKAGE_DRIVER.csv of del MODIFIED BY identitymissing generatedmissing REPLACE INTO AHA.PACKAGE_DRIVER
db2 set integrity for AHA.PACKAGE_DRIVER immediate checked

db2 load from AHA.PACKAGE_FACTOR.csv of del MODIFIED BY identitymissing generatedmissing REPLACE INTO AHA.PACKAGE_FACTOR
db2 set integrity for AHA.PACKAGE_FACTOR immediate checked

db2 load from AHA.PACKAGE_INDEX.csv of del MODIFIED BY identitymissing generatedmissing REPLACE INTO AHA.PACKAGE_INDEX
db2 set integrity for AHA.PACKAGE_INDEX immediate checked

db2 load from AHA.PACKAGE_TREATMENT.csv of del MODIFIED BY identitymissing generatedmissing REPLACE INTO AHA.PACKAGE_TREATMENT
db2 set integrity for AHA.PACKAGE_TREATMENT immediate checked

db2 load from AHA.PACKAGE_TREATMENT_INCLUDE.csv of del MODIFIED BY identitymissing generatedmissing REPLACE INTO AHA.PACKAGE_TREATMENT_INCLUDE
db2 set integrity for AHA.PACKAGE_TREATMENT_INCLUDE immediate checked

db2 load from AHA.PACKAGE_TREATMENT_EXCLUDE.csv of del MODIFIED BY identitymissing generatedmissing REPLACE INTO AHA.PACKAGE_TREATMENT_EXCLUDE
db2 set integrity for AHA.PACKAGE_TREATMENT_EXCLUDE immediate checked

db2 load from AHA.PACKAGE_DEGRADATION.csv of del MODIFIED BY identitymissing generatedmissing REPLACE INTO AHA.PACKAGE_DEGRADATION
db2 set integrity for AHA.PACKAGE_DEGRADATION immediate checked

db2 SET INTEGRITY FOR AHA.ASSET_PRESCRIPTIONS_REMAINED FOREIGN KEY IMMEDIATE UNCHECKED
db2 SET INTEGRITY FOR AHA.ASSET_PRESCRIPTIONS_SELECTED FOREIGN KEY IMMEDIATE UNCHECKED
db2 SET INTEGRITY FOR AHA.BUDGET_PERCENTAGE_PARAMETERS FOREIGN KEY IMMEDIATE UNCHECKED
db2 SET INTEGRITY FOR AHA.BUDGET_TREATMENT_ALLOCATION FOREIGN KEY IMMEDIATE UNCHECKED

db2 connect reset
db2 terminate
@goto :EOF

:USAGE
echo.
echo Usage : load.bat overwrite database username password
echo where
echo overwrite:  -y
exit /b 0


