#!/bin/sh
# 
# Licensed Materials - Property of IBM
#
# <AFBA_PID>
#
# (C) Copyright IBM Corp. <AFBA_YEAR> All rights reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# 

source ~/.baprofile
source $IOC_BASE_DIR/variables.properties
log.info "Start to Install Impact Content."

cd $IOC_BASE_DIR
export SED_SCRIPT_NAME=com.ibm.ife.sed.script.txt
sed -e '/^#/d' $IOC_BASE_DIR/variables.properties | awk -F = '{print "s#~{" $1 "}#" substr($0,index($0,"=")+1) "#g"}' > $IOC_BASE_DIR/$SED_SCRIPT_NAME

cp -rf $IOC_BASE_DIR/content/metaDataCSV /opt/IBM/energy/
dos2unix /opt/IBM/energy/metaDataCSV/*.sh
chmod +x /opt/IBM/energy/metaDataCSV/*.sh
chmod +x $IOC_BASE_DIR/content/*.sh

su - $DB_INSTANCE_USER -c "cd $IOC_BASE_DIR/content/dno_i18n_db;db2 connect to IFEDB; db2 -tvf ife_dno_i18n_fr.sql;db2 -tvf ife_dno_i18n_ja.sql;db2 -tvf ife_dno_i18n_pt_BR.sql;db2 -tvf ife_dno_i18n_zh_TW.sql;db2 -tvf ife_dno_i18n_zh.sql; db2 -tvf update.sql;cd ..;db2 -tvf update_db.sql"